# Unix Notetaking
## Benefits
### Simplicity
Plain text notes have very few moving parts, reducing setup time and cost, failure points, and cognitive load. All of the benefits of plain text notes are for free, without any additional setup.

### Versatility
Plain text files are versatile, and have a flexible directory structure.

If you are using the right text editor, writing plain text notes only requires a keyboard, which is faster than switching between a mouse and a keyboard all of the time.

### Portability
Plain text files are independent of any particular program, environment, ecosystem, or operating system, and have no dependencies, apart from a text editor.

They do not rely on a third-party with control over how you take notes, unlike Notion, Evernote, Microsoft Office, and so on.

They work offline; useful for those at rural areas, living offgrid, or who want to reduce distractions.

## Usage
### Markdown
Markdown is an excellent markup language for writing plain text notes. It is very clean, and readable by moth humans and machines alike. Unfortunately, it does not have one specification, so the one I use is [CommonMark](https://commonmark.org). There are tools such as glow for rendering or otherwise using Markdown files.

### Custom Formats
You could also add custom markup to your plain text notes. For example:

```
% tags: food, tutorial, tech
% description: How to make a Solar Cooker
```

### Git
To manage your notes, you can use a version control system like Git. A version control system gives a user the ability to track changes and undo them, or put them in a seperate branch, which can later be merged with another branch. Git also allows collaboration between different users, as each can have their own local copy, while keeping it synced with the Main Repository.
