# Unix Notetaking
## Introduction
I have seen many people (like Thomas Frank) take notes using programs like Notion or Evernote. Personally, I take notes using plaintext files, as they are simpler, more flexible, and more portable than the alternatives.

## Benefits
### Simplicity
Plain text files have a small amount of moving parts, which reduces setup time and cost, failure points, and cognitive load. All of the benefits of plain text files are built-in and intrinsic to them.

### Flexiblity
One can arrange plain text files however they want. Plain text files are not tied to a specific format, so mix and match as you like! They are accesible to a wide variety of tools.

This also means that with the right text editor, writing plain text files only requires using a keyboard, rather than constantly switching between a mouse and a keyboard.

### Portability
Plain text files are independent of any particular program, environment, ecosystem, or operating system, and have no dependencies other than a text editor. They work offline, useful for those at rural areas, who are living offgrid, or who want to reduce distractions, as the internet is a huge source of distractions (for me at least). They use no third-party with control over you, unlike Notion, Evernote, Microsoft Office, and other proprietary programs.

## Usage
### Markdown
Markdown is an excellent clean markup language for writing, readable by both humans and machines alike. Unfortunately, it has many different specifications, so I use the [CommonMark](https://commonmark.org) specification. 

For rendering markdown files, use glow.

### Custom Formats
You could also add custom markup to your plain text files. For example:

```
% description: How to make a Solar Cooker
% tags: food, tutorial, tech
```

### Git
To manage file changes, use a version control system like Git. A version control system tracks changes and allows a user to reverse them, or put them in a seperate development branch, and merge development branches. Git also allows collaboration between different users, where each have their own local copy, while keeping it synchronized with the main repository.

### Conclusion
