function assert(expectedValue, actualValue) {
	if (expectedValue == actualValue) {
		printf("%s == %s\n", expectedValue, actualValue)
	} else {
		printf("%s != %s\n", expectedValue, actualValue)
	}
}

END {
	print "=> getDirname('../path/deep/down/here')"
	assert("../path/deep/down/", getDirname("../path/deep/down/here"))

	print "=> getDirname('a_single_directory')"
	assert(".", getDirname("a_single_directory"))

	print "=> resolvePath('./path/to/irrelevant_directory/../file.txt')"
	assert("path/to/file.txt", resolvePath("./path/to/irrelevant_directory/../file.txt"))

	print "=> resolvePath('path/to/file.txt/')"
	assert("path/to/file.txt", resolvePath("path/to/file.txt/"))

	print "=> resolvePath('path/to/file.txt')"
	assert("path/to/file.txt", resolvePath("path/to/file.txt"))

	print "=> getRelativePath('parent/directory/', 'parent/path/to/file.txt')"
	assert("../path/to/file.txt", getRelativePath("parent/directory", "parent/path/to/file.txt"))

	print "=> getRelativePath('parent/directory/', 'parent/directory/path/to/file.txt')"
	assert("path/to/file.txt", getRelativePath("parent/directory", "parent/directory/path/to/file.txt"))
}